@import url("https://fonts.googleapis.com/css2?family=Inter:wght@300;500;700&family=Lato:wght@400;700&family=Overpass:wght@400;700&display=swap");

* {
  padding: 0;
  margin: 0;
}

body {
  font-family: Lato;
  background: rgb(247, 211, 217);
  background-image: url(./bg-pattern-desktop.svg);
  background-repeat: no-repeat;
  background-size: cover;
}
h1 {
  text-align: center;
  border-bottom: 1px solid rgb(189, 187, 187);
  padding: 1em 0;
  font-weight: 900;
}
main {
  display: grid;
  grid-template-columns: 1fr 1fr;
  margin: 2%;
}
.shipping,
.payment {
  background-color: rgb(255, 255, 255);
  padding: 2em;
  overflow: hidden;
  margin: 5% 0;
}
i {
  font-size: 50px;
}
.fa-icons {
  margin-left: 15em;
}
input {
  padding: 0.6em;
  margin-bottom: 1em;
}
input:focus {
  outline: none;
  border: 3px solid rgb(70, 158, 133);
  border-radius: 10px;
}
.fname,
.sname {
  width: 60%;
  color: rgb(28, 84, 156);
  font-size: 18px;
}
.phone {
  color: green;
  font-size: 18px;
}

input[type="email"] {
  width: 60%;
  margin-right: 2em;
}
.address {
  height: 5em;
  width: 60%;
  overflow: scroll;
}

input[type="submit"] {
  background: black;
  color: white;
  font-weight: bold;
  border: none;
  text-transform: uppercase;
  padding: 1em;
  border-radius: 10px;
  margin-left: 15%;
}

.payment {
  display: flex;
  gap: 2em;
}
.payment h1{
  font-size: 16px;
}
.summary {
  background-color: rgb(245, 238, 216);
  margin: 2% 5%;
  padding: 20px 30px;
  overflow: hidden;
  width: auto;
  height: 70vh;
  position: relative;
  top: 20vh;
}
.item {
  margin: 20px 0;
}
.subtotal {
  border-bottom: 1px dashed black;
  padding: 10px 0;
}
.shipping-terms {
  border-bottom: 1px double black;
  border-bottom: 1px dashed black;
  padding: 10px 0;
}
.total {
  text-transform: uppercase;
  font-weight: bold;
  padding: 20px 0;
}
.item > h3 {
  margin: 10px;
}
.summary .total-price,
.subtotal-price {
  float: right;
}
::-webkit-scrollbar {
  width: 10px;
}
::-webkit-scrollbar-track {
  background: #f1f1f1;
}
::-webkit-scrollbar-thumb {
  background: rgb(230, 163, 163);
}
::-webkit-scrollbar-thumb:hover {
  background: #555;
}

@media (max-width: 479px) {
  body {

  }
  main {
    display: block;
  }
  i {
    font-size: 30px;
  }
  input:focus {
    border-radius: 5px;
  }
  .phone {
    font-size: 16px;
  }
  .summary {
    margin: 2% ;
    margin-bottom:4em;
    padding: 20px 30px;
    width: auto;
    height: auto; 
    position: relative;
    top: 1em;;
  }
  input[type="submit"] {

    padding: 1em;
    border-radius: 10px;
    margin-left: 0%;

  }
  input[type="email"] {
    width: 91%;
    margin-right: 2em;
  }
  .fname,
.sname {
  width: 90%;

}
.address {
    height: 5em;
    width: 91%;
    overflow: scroll;
  }
  .fa-icons {
    margin-left: 10em;
  }
  .payment {
    display: flex;
  
    padding: 1em;
    overflow: hidden;
    margin: 5% 0;
  }
  .item > h3 {
    margin: 10px 0;
  }
 

}
